Subject: Re: bug#1862: 23.0.60; tar-mode on posix ustar
From: Stefan Monnier <[email-masked]>
To: [email-masked]
Date: Sun, 11 Jan 2009 22:38:24 -0500

> Such a file is generated by the perl Archive::Tar module.  It uses the
> posix style magic "ustar\0", with digits "00" in the `version' field.
> But I think tar-header-block-tokenize only recognises a nul "\000" in
> that version field (in addition to ``OLDGNU'' style which is a space).

Indeed, the code didn't pay attention to the version field, but
incorrectly clipped it out.  I've installed a similar fix to yours, just
a bit simpler.

        Stefan